Bug 488609 - Review Request: python-ptrace - Debugger using ptrace written in Python
Review Request: python-ptrace - Debugger using ptrace written in Python
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-04 16:59 EST by Terje Røsten
Modified: 2009-03-13 15:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-09 13:58:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Comment 1 Terje Røsten 2009-03-04 17:14:52 EST
Updated koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1221878
Comment 2 Parag AN(पराग) 2009-03-05 02:58:34 EST
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1222751
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
510c8c005f373c3e079074c9720bacc9  python-ptrace-0.6.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package python-ptrace-0.6-1.fc11-i586
Provides: cptrace.so
Requires: /usr/bin/python libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libpthread.so.0 libpthread.so.0(GLIBC_2.0) libpython2.6.so.1.0 python(abi) = 2.6 rtld(GNU_HASH)

1) you can consider changing %define to %global though not mandatory.
2) you can change following line in %files from
%doc doc examples
%doc doc/* examples
=> better remove doc named directory 
3) remove unnecessary line
#BuildRequires: mercurial python-nose subversion

Comment 3 Terje Røsten 2009-03-05 12:38:30 EST

New Package CVS Request
Package Name: python-ptrace
Short Description: Debugger using ptrace written in Python
Owners: terjeros
Branches: F-9 F-10
Comment 4 Kevin Fenzi 2009-03-05 15:45:19 EST
cvs done.
Comment 5 Terje Røsten 2009-03-09 13:58:12 EDT
Imported, built and pushed to bodhi,

Note You need to log in before you can comment on or make changes to this bug.